//
//  DemoSensorViewController.m
//  DemoSensor
//
//  Created by DARTS Lab on 3/23/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "DemoSensorViewController.h"

@implementation DemoSensorViewController

@synthesize image;


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	motionManager = [[CMMotionManager alloc] init];
	[motionManager startDeviceMotionUpdates];
	timer = [NSTimer scheduledTimerWithTimeInterval:1/30.0 
											 target:self selector:@selector(doGyroUpdate)
										   userInfo:nil repeats:YES];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
	[motionManager stopDeviceMotionUpdates];
	[timer invalidate];
	
}

- (void)doGyroUpdate {
//	float rate = motionManager.gyroData.rotationRate.z;
//	rotation += rate / 30.0;
	self.image.transform = CGAffineTransformMakeRotation(motionManager.deviceMotion.attitude.yaw);
}

- (void)dealloc {
	[motionManager release];
	self.image = nil;
    [super dealloc];
}

@end
